Package org.w3c.tidy

# Class DOMAttrMapImpl

java.lang.Object
org.w3c.tidy.DOMAttrMapImpl

All Implemented Interfaces:
  `NamedNodeMap`

public class DOMAttrMapImpl extends Object implements NamedNodeMap
Tidy implementation of org.w3c.dom.NamedNodeMap.

Version:
  $Revision: 738 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DOMAttrMapImpl(AttVal firstAttVal)`
instantiates a new DOMAttrMapImpl for the given AttVal.

## Method Summary

Modifier and Type
Method
Description
`int`
`getLength()`
`Node`
`getNamedItem(String name)`
`Node`
`getNamedItemNS(String namespaceURI, String localName)`
Not supported, returns `DOMException.NOT_SUPPORTED_ERR`.
`Node`
`item(int index)`
`Node`
`removeNamedItem(String name)`
`Node`
`removeNamedItemNS(String namespaceURI, String localName)`
Not supported, returns `DOMException.NOT_SUPPORTED_ERR`.
`Node`
`setNamedItem(Node arg)`
`Node`
`setNamedItemNS(Node arg)`
Not supported, returns `DOMException.NOT_SUPPORTED_ERR`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DOMAttrMapImpl

protected DOMAttrMapImpl(AttVal firstAttVal)
instantiates a new DOMAttrMapImpl for the given AttVal.

Parameters:
  `firstAttVal` - wrapped AttVal

## Method Details

### getNamedItem

public Node getNamedItem(String name)

Specified by:
  `getNamedItem` in interface `NamedNodeMap`
See Also:
  - `NamedNodeMap.getNamedItem(java.lang.String)`

### item

public Node item(int index)

Specified by:
  `item` in interface `NamedNodeMap`
See Also:
  - `NamedNodeMap.item(int)`

### getLength

public int getLength()

Specified by:
  `getLength` in interface `NamedNodeMap`
See Also:
  - `NamedNodeMap.getLength()`

### setNamedItem

public Node setNamedItem(Node arg) throws DOMException

Specified by:
  `setNamedItem` in interface `NamedNodeMap`
Throws:
  `DOMException`
See Also:
  - `NamedNodeMap.setNamedItem(org.w3c.dom.Node)`
To Do:
  DOM level 2 setNamedItem() Not implemented. Throws NOT_SUPPORTED_ERR.

### removeNamedItem

public Node removeNamedItem(String name) throws DOMException

Specified by:
  `removeNamedItem` in interface `NamedNodeMap`
Throws:
  `DOMException`
See Also:
  - `NamedNodeMap.removeNamedItem(java.lang.String)`

### getNamedItemNS

public Node getNamedItemNS(String namespaceURI, String localName)
Not supported, returns `DOMException.NOT_SUPPORTED_ERR`.

Specified by:
  `getNamedItemNS` in interface `NamedNodeMap`
See Also:
  - `NamedNodeMap.getNamedItemNS(java.lang.String, java.lang.String)`

### setNamedItemNS

public Node setNamedItemNS(Node arg) throws DOMException
Not supported, returns `DOMException.NOT_SUPPORTED_ERR`.

Specified by:
  `setNamedItemNS` in interface `NamedNodeMap`
Throws:
  `DOMException`
See Also:
  - `NamedNodeMap.setNamedItemNS(org.w3c.dom.Node)`

### removeNamedItemNS

public Node removeNamedItemNS(String namespaceURI, String localName) throws DOMException
Not supported, returns `DOMException.NOT_SUPPORTED_ERR`.

Specified by:
  `removeNamedItemNS` in interface `NamedNodeMap`
Throws:
  `DOMException`
See Also:
  - `NamedNodeMap.removeNamedItemNS(java.lang.String, java.lang.String)`